CREATE TABLE doo_accumulation_details (
    ACCUMULATION_DETAIL_ID          NUMBER(18, 0),
    ACCUMULATION_ID                 NUMBER(18, 0)    NOT NULL,
    FULFILL_LINE_ID                 NUMBER(18, 0)    NOT NULL,
    CONTRIBUTION_VALUE              NUMBER           NOT NULL,
    CONTRIBUTION_VALUE_UNIT_CODE    VARCHAR2(12)     NOT NULL,
    CREATED_BY                      VARCHAR2(256)    NOT NULL,
    CREATION_DATE                   TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY                 VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE                TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN               VARCHAR2(128),
    OBJECT_VERSION_NUMBER           NUMBER(9, 0)     NOT NULL,
    ACCUMULATION_DETAIL_ID          NUMBER(18, 0),
    ACCUMULATION_ID                 NUMBER(18, 0)    NOT NULL,
    FULFILL_LINE_ID                 NUMBER(18, 0)    NOT NULL,
    CONTRIBUTION_VALUE              NUMBER           NOT NULL,
    CONTRIBUTION_VALUE_UNIT_CODE    VARCHAR2(12)     NOT NULL,
    CREATED_BY                      VARCHAR2(256)    NOT NULL,
    CREATION_DATE                   TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY                 VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE                TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN               VARCHAR2(128),
    OBJECT_VERSION_NUMBER           NUMBER(9, 0)     NOT NULL,
    CONSTRAINT pk_doo_accumulation_details PRIMARY KEY (ACCUMULATION_DETAIL_ID, ACCUMULATION_DETAIL_ID)
);
